﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MonoGame.Utilities
{
    internal class Hash
    {
        // Modified FNV Hash in C#
        // http://stackoverflow.com/a/468084
        internal static int ComputeHash(params byte[] data)
        {
            unchecked
            {
                const int p = 16777619;
                int hash = (int)2166136261;

                for (int i = 0; i < data.Length; i++)
                    hash = (hash ^ data[i]) * p;

                hash += hash << 13;
                hash ^= hash >> 7;
                hash += hash << 3;
                hash ^= hash >> 17;
                hash += hash << 5;
                return hash;
            }
        }
    }
}
